<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet>

<!-- sample stylesheet that generates an ordered list
	containing information from a SQL statement.

	Author: mxf 2004
-->

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:atiUtil="http://www.arbortext.com/mxfUtilityNamespace"
  xmlns:atidm="http://www.arbortext.com/namespace/DataMerge"
>

<xsl:output indent="yes" method="xml" encoding="UTF-8"/>

<xsl:param name="output-encoding">UTF-8</xsl:param>

<xsl:template match="/">
      <xsl:apply-templates/>
</xsl:template>

<xsl:template match="atidm:ResultSet">
	<orderedlist>
		<xsl:apply-templates>
		</xsl:apply-templates>
	</orderedlist>
</xsl:template>

<xsl:template match="atidm:Row">
<!-- build and populate attrs of item -->
<xsl:element name="listitem">

 <xsl:element name="para">
 	<xsl:value-of select="atidm:Column[1]"/>
  <xsl:text> (</xsl:text>
  <xsl:value-of select="format-number(atidm:Column[2],'#')"/>
  <xsl:text>): Avg. salary for </xsl:text>
  <xsl:value-of select="format-number(atidm:Column[3],'#')"/>
  <xsl:text> employees is </xsl:text>
  <xsl:value-of select="format-number(atidm:Column[4],'$#,##0.00')"/>
 </xsl:element>
</xsl:element>

</xsl:template>

<xsl:template match="atidm:RowHeader">
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="atidm:Value">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="atidm:Header">
</xsl:template>


<!-- UTILITY TEMPLATES -->

</xsl:stylesheet>

